Skip to content

Perform various operations on wire receiver FI information records.

Operations

getWireReceiverFiInfo

POST

Retrieve receiving financial institution information

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

WireSequenceNumberintegeroptional
WireReceiverFiInfoLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/wire/getWireReceiverFiInfo
POST /nexum/627/2022.01/wire/getWireReceiverFiInfo HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "WireSequenceNumber": 0,
  "WireReceiverFiInfoLocator": 0,
  "nxAttributes": {
    "customFields": {}
  }
}

getWireReceiverFiInfoSelectFields

POST

Retrieves wire receiver financial institution information with selected fields

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

WireSequenceNumberintegeroptional
WireReceiverFiInfoLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/wire/getWireReceiverFiInfoSelectFields
POST /nexum/627/2022.01/wire/getWireReceiverFiInfoSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "WireSequenceNumber": 0,
  "WireReceiverFiInfoLocator": 0,
  "SelectableFields": {
    "IncludeAllWireReceiverFiInfoFields": true,
    "WireReceiverFiInfoFields": {
      "Locator": true,
      "Text": [
        0
      ]
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getWireReceiverFiInfoPagedList

POST

Retrieves a paged list of wire receiver financial institution information

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

WireSequenceNumberintegeroptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/wire/getWireReceiverFiInfoPagedList
POST /nexum/627/2022.01/wire/getWireReceiverFiInfoPagedList HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "WireSequenceNumber": 0,
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getWireReceiverFiInfoListSelectFields

POST

Retrieve a list of receiving financial institution information with selected fields

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

WireSequenceNumberintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/wire/getWireReceiverFiInfoListSelectFields
POST /nexum/627/2022.01/wire/getWireReceiverFiInfoListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "WireSequenceNumber": 0,
  "SelectableFields": {
    "IncludeAllWireReceiverFiInfoFields": true,
    "WireReceiverFiInfoFields": {
      "Locator": true,
      "Text": [
        0
      ]
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchWireReceiverFiInfoSelectFields

POST

Searches for wire receiver financial institution information with selected fields

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

WireSequenceNumberintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/wire/searchWireReceiverFiInfoSelectFields
POST /nexum/627/2022.01/wire/searchWireReceiverFiInfoSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "WireSequenceNumber": 0,
  "SelectableFields": {
    "IncludeAllWireReceiverFiInfoFields": true,
    "WireReceiverFiInfoFields": {
      "Locator": true,
      "Text": [
        0
      ]
    }
  },
  "SearchFilter": {
    "Query": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getWireReceiverFiInfoPagedListSelectFields

POST

Retrieves a paged list of wire receiver financial institution information with selected fields

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

WireSequenceNumberintegeroptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/wire/getWireReceiverFiInfoPagedListSelectFields
POST /nexum/627/2022.01/wire/getWireReceiverFiInfoPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "WireSequenceNumber": 0,
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllWireReceiverFiInfoFields": true,
    "WireReceiverFiInfoFields": {
      "Locator": true,
      "Text": [
        0
      ]
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchWireReceiverFiInfoPagedSelectFields

POST

Searches for wire receiver financial institution information paged with selected fields

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

WireSequenceNumberintegeroptional
Querystringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/wire/searchWireReceiverFiInfoPagedSelectFields
POST /nexum/627/2022.01/wire/searchWireReceiverFiInfoPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "WireSequenceNumber": 0,
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllWireReceiverFiInfoFields": true,
    "WireReceiverFiInfoFields": {
      "Locator": true,
      "Text": [
        0
      ]
    }
  },
  "Query": "string",
  "nxAttributes": {
    "customFields": {}
  }
}

updateWireReceiverFiInfoByID

POST

Updates receiver FI information for a wire by ID

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

WireReceiverFiInfoLocatorintegeroptional
WireSequenceNumberintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/wire/updateWireReceiverFiInfoByID
POST /nexum/627/2022.01/wire/updateWireReceiverFiInfoByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "WireReceiverFiInfoLocator": 0,
  "WireReceiverFiInfoUpdatableFields": {
    "Text": [
      {
        "EntryId": 0,
        "Text": "string"
      }
    ]
  },
  "WireSequenceNumber": 0,
  "nxAttributes": {
    "customFields": {}
  }
}